import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnDestroy, OnInit, TemplateRef } from "@angular/core";
import { FormGroup } from "@angular/forms";
import { ActivatedRoute } from "@angular/router";
import { TranslateService } from "@ngx-translate/core";
import { FormField } from "@seniorsistemas/angular-components";
import { E030Age } from "../../../../core/entities/e-030-age/e-030-age";
import { E030AgeService } from "../../../../core/entities/e-030-age/e-030-age.service";
import { E030Ban } from "../../../../core/entities/e-030-ban/e-030-ban";
import { E030BanService } from "../../../../core/entities/e-030-ban/e-030-ban.service";
import { BankAccountType } from "../../../../core/enums/bank-account-type";
import { FieldCustomizationService } from "../../../../shared/services/field-customization.service";
export declare class BankAccountItemComponent implements OnInit, OnDestroy, AfterViewInit {
    private route;
    protected translate: TranslateService;
    private fieldCustomization;
    private e030AgeService;
    private e030BanService;
    private cdr;
    locale: any;
    currencyLocaleOptions: any;
    permissions: any;
    allPermissions: any;
    requiredBankBranch: boolean;
    isDisable: boolean;
    formGroup: FormGroup;
    loading: boolean;
    mainPanelCollapsed: boolean;
    bankAccountType: {
        label: string;
        value: BankAccountType;
    }[];
    bankBranchLookupSuggestions: E030Age[];
    bankBranchLookupDisplayFields: string[];
    bankBranchAdvancedDisplayFields: string[];
    bankBranchLookupSeparator: string;
    bankBranchSearchFields: FormField[];
    bankBranchSearchGridFields: FormField[];
    bankBranchSearchGridData: E030Age[];
    bankBranchSearchTotalRecords: number;
    bankLookupSuggestions: E030Ban[];
    bankLookupDisplayFields: string[];
    bankAdvancedDisplayFields: string[];
    bankLookupSeparator: string;
    bankSearchFields: FormField[];
    bankSearchGridFields: FormField[];
    bankSearchGridData: E030Ban[];
    bankSearchTotalRecords: number;
    customTemplate: TemplateRef<any>;
    customFormFields: TemplateRef<any>;
    id: string;
    remove: EventEmitter<undefined>;
    routeParams: any;
    private ngUnsubscribe;
    constructor(route: ActivatedRoute, translate: TranslateService, fieldCustomization: FieldCustomizationService, e030AgeService: E030AgeService, e030BanService: E030BanService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    isNew(): boolean;
    onRouteParamsChange(params: any): void;
    updateSuggestions(value: any): void;
    getSuggestionValue(displayFields: string[], ownerEntity: string, value: any, separator: string): any;
    onRouteDataChange(data: any): void;
    getProp(obj: any, path: any): any;
    onBankBranchLookupRequest(value: string): void;
    onBankBranchSearchRequest(event: any): void;
    onBankLookupRequest(value: string): void;
    private mountFilterQuery;
    private mountFilterQuerySearch;
    onBankSearchRequest(event: any): void;
    private getBankObservable;
    private getBankBranchSearchFields;
    private getBankBranchSearchGridFields;
    private getBankSearchFields;
    private getBankSearchGridFields;
    onClearBank(): void;
    onSelectBank(bank: E030Ban): void;
    private getFilterBankBranch;
    checkPermissions(): boolean;
}
